Skip to main content
GET
/
orders
Get gasless orders
curl --request GET \
  --url https://trade-api.gateway.uniswap.org/v1/orders \
  --header 'x-api-key: <api-key>'
{
  "orders": [
    {
      "encodedOrder": "0x0000000000...",
      "signature": "0xcc803880b7...",
      "nonce": "1993350603649363012805190338010060803841095487773749076708031661332198422531",
      "orderStatus": "cancelled",
      "chainId": 1,
      "orderId": "0x7030883e6b34144d7f5e731bde66e23eb124f160f857cc5bc33c5c280fa63701",
      "createdAt": 1774555222,
      "settledAmounts": [
        {
          "tokenOut": "0x45e02bc2875A2914C4f585bBF92a6F28bc07CB70",
          "amountOut": "3306647558219378950381",
          "tokenIn": "0xdAC17F958D2ee523a2206206994597C13D831ec7",
          "amountIn": "1211000000"
        }
      ],
      "cosignature": "0x29979349ca...",
      "swapper": "0xb659Bb7b4B3fEc43F071F6f95cF975E1Aa89C6Ed",
      "quoteId": "3a0200d7-be0c-46d5-b19e-82a6c2719480",
      "txHash": "0x0b12fb61cd06dc179f270c4525584d07fc08911f78c4a940997981d01037fff7",
      "type": "Dutch_V2",
      "outputs": [
        {
          "token": "0x45e02bc2875A2914C4f585bBF92a6F28bc07CB70",
          "startAmount": "3301675174569363530964",
          "endAmount": "3285166798696516713309",
          "recipient": "0xb659Bb7b4B3fEc43F071F6f95cF975E1Aa89C6Ed"
        },
        {
          "token": "0x45e02bc2875A2914C4f585bBF92a6F28bc07CB70",
          "startAmount": "8274875124233993811",
          "endAmount": "8233500748612823842",
          "recipient": "0x12c280eE47dDf0372B86E29a7065880108895fe7"
        }
      ],
      "cosignerData": {
        "decayStartTime": 1774555246,
        "decayEndTime": 1774555306,
        "exclusiveFiller": "0x8392876883Cf0e9e7ee24d9b1F606ED88644f23B",
        "inputOverride": "0",
        "outputOverrides": [
          "3306647558219378950381",
          "0"
        ]
      },
      "input": {
        "token": "0xdAC17F958D2ee523a2206206994597C13D831ec7",
        "startAmount": "1211000000",
        "endAmount": "1211000000"
      }
    }
  ],
  "requestId": "cOVivj_DiYcEPqQ="
}

Documentation Index

Fetch the complete documentation index at: https://api-docs.uniswap.org/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

Query Parameters

orderType
enum<string>

The UniswapX order type to retrieve.

Available options:
Dutch_V2,
Dutch_V3,
Limit,
Priority
orderId
string

A transaction hash for an order. orderId or orderIds must be provided, but not both. A unique ID for the order. Used to track the order's status.

orderIds
string

A list of comma separated orderIds (transaction hashes). orderId or orderIds must be provided, but not both.

limit
number
orderStatus
enum<string>

Filter by order status. The status of the order. Note that all of these are final states with the exception of Open, meaning that no further state changes will occur. Open - order is not yet filled by a filler. Expired - order has expired without being filled and is no longer fillable. Error - a catchall for other final states which are not otherwise specified, where the order will not be filled. Cancelled - order is cancelled. Note that to cancel an order, a new order must be placed with the same nonce as the prior open order and it must be placed within the same block as the original order. Filled - order is filled. Insufficient-funds - the swapper (you) do not have enough funds for the order to be completed and the order is cancelled and will not be filled. Unverified - order has not been verified yet.

Available options:
open,
expired,
error,
cancelled,
filled,
unverified,
insufficient-funds
swapper
string

Filter by swapper address.

Pattern: ^(0x)?[0-9a-fA-F]{40}$
sortKey
enum<string>

Order the query results by the sort key.

Available options:
createdAt
sort
string

Sort query. For example: sort=gt(UNIX_TIMESTAMP), sort=between(1675872827, 1675872930), or lt(1675872930).

filler
string

Filter by filler address.

Pattern: ^(0x)?[0-9a-fA-F]{40}$
cursor
string

Response

The request orders matching the query parameters.

requestId
string
required

A unique ID for the request.

orders
object[]
required
cursor
string